#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: happstack-server
version: 7.4.4
id: happstack-server-7.4.4-b06ef6e5c6447aebe473763919e28d93
key: happs_KhCQNYURc2A5zG12MPSEZx
license: BSD3
maintainer: Happstack team <happs@googlegroups.com>
homepage: http://happstack.com
synopsis: Web related tools and services.
description:
    Happstack Server provides an HTTP server and a rich set of functions for routing requests, handling query parameters, generating responses, working with cookies, serving files, and more. For in-depth documentation see the Happstack Crash Course <http://happstack.com/docs/crashcourse/index.html>
category: Web, Happstack
author: Happstack team, HAppS LLC
exposed: True
exposed-modules:
    Happstack.Server Happstack.Server.Auth Happstack.Server.Cookie
    Happstack.Server.Compression Happstack.Server.Client
    Happstack.Server.Error Happstack.Server.FileServe
    Happstack.Server.FileServe.BuildingBlocks Happstack.Server.I18N
    Happstack.Server.Internal.Compression
    Happstack.Server.Internal.Cookie Happstack.Server.Internal.Handler
    Happstack.Server.Internal.Types Happstack.Server.Internal.Listen
    Happstack.Server.Internal.LowLevel
    Happstack.Server.Internal.LogFormat
    Happstack.Server.Internal.MessageWrap
    Happstack.Server.Internal.Multipart
    Happstack.Server.Internal.Socket
    Happstack.Server.Internal.TimeoutIO
    Happstack.Server.Internal.TimeoutManager
    Happstack.Server.Internal.TimeoutSocket
    Happstack.Server.Internal.Monads Happstack.Server.Monads
    Happstack.Server.Proxy Happstack.Server.Response
    Happstack.Server.Routing Happstack.Server.RqData
    Happstack.Server.SURI Happstack.Server.SimpleHTTP
    Happstack.Server.Types Happstack.Server.Validation
hidden-modules: Happstack.Server.Internal.Clock
                Happstack.Server.Internal.LazyLiner
                Happstack.Server.Internal.RFC822Headers
                Happstack.Server.Internal.SocketTH Happstack.Server.SURI.ParseURI
                Paths_happstack_server
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/happstack-server-7.4.4
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/happstack-server-7.4.4
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/happstack-server-7.4.4
hs-libraries: HShappstack-server-7.4.4-KhCQNYURc2A5zG12MPSEZx
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    base64-bytestring-1.0.0.1-316a2db9857af7823ddde112a4d07b89
    blaze-html-0.8.1.0-b6239543d35dd88ef6e0ccce2eb2419c
    bytestring-0.10.6.0-4bad3e0db8dcda038eec8bfd6aea32b3
    containers-0.5.6.2-fa9a4462de473ca3ca1d565cbe6dba33
    directory-1.2.2.0-b6ee7e969ff00a970631d14a5a84bc27
    exceptions-0.8.0.2-ee397d4a2d409d9e05e24555c5fafbec
    extensible-exceptions-0.1.1.4-dae34b7345f33259ae772f45ee3cac62
    filepath-1.4.0.0-84bda675ba63f9b1a4b3fb9597f70f12
    hslogger-1.2.9-1b98d5b1ed0fdcae679aa83a55f5c33d
    html-1.0.1.2-52f05cc036db454746dd81c8dddf29f4
    monad-control-1.0.0.4-6f391df4bf5e1e45669c7b7b94517929
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    network-2.6.2.1-1efabe34c29aae7dc76038169a9c7a77
    network-uri-2.6.0.3-1fe3c9d1a6a3132148ea38388d796a27
    old-locale-1.0.0.7-3588c6880f1cb77ccff98e204e99a556
    parsec-3.1.9-0fe569f8910ae428afcb296b92440ead
    process-1.2.3.0-6ba26f4843c3923e1f0fe560685c1e06
    sendfile-0.7.9-ed939234dfc01a8f850832e6c42a1d50
    syb-0.5.1-2e49af2beee81e7226b33f3dd6f23ae6
    system-filepath-0.4.13.4-00f148da818d0c4a2853bb3734d078ce
    template-haskell-2.10.0.0-50be769ad8939d8e8caca364b0b694f2
    text-1.2.1.3-6b3e1cbb2a57ec42cb19d113292b56f4
    threads-0.5.1.3-087c7a75d3480bf93217a0f418bab305
    time-1.5.0.1-df3afb8c4b8f408db3802d1302f1d2a2
    time-compat-0.1.0.3-d67185964ef7d24d37303bc40444c50c
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
    transformers-base-0.4.4-8c77b1c1d5b471386f5d91a787e11d2d
    transformers-compat-0.4.0.4-3ca5cbcec233c17da785d5f27705643c
    unix-2.7.1.0-46aa3510142f1580327fd52821c9f510
    utf8-string-1-808b55f632256f9400e0886437e2f12c
    xhtml-3000.2.1-da217cc339a4f9f70cb1d1cd0f71ab4c
    zlib-0.5.4.2-c78436f04a144c5349e560995b970aeb
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/happstack-server-7.4.4/html/happstack-server.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/happstack-server-7.4.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
